### Generic CI Template for chrootbuild
#
#
#  Usage: chrootbuild [options]
#
#     -b <branch> Branch to use:
#                 (unstable/testing/stable-staging/stable;
#                 arm-unstable/arm-testing/arm-stable)
#                 default: unstable / arm-unstable
#     -c          Start with clean chroot fs
#     -h          This help
#     -i <pkg>    Install package(s) to chroot fs
#                 (for multiple packages repeat -i flag)
#     -l <list>   List(s) to build
#                 (for multiple lists repeat -l flag)
#     -n          Install built pkg to chroot fs
#     -p <pkg>    Package(s) to build
#                 (for multiple packages repeat -p flag)
#     -r          Remove previously built packages in $PKGDEST
#     -s          Sign package(s)

package:
  tags:
    - aarch64
    - bigbuilds
  script:
    # build pkg via chrootbuild
    - export PKG=${PWD##*/}
    - cd ..
    - sudo chrootbuild -cp $PKG
    - mv -v ./*.pkg.tar.* $PKG
  artifacts:
    paths:
    - ./*.pkg.tar.*
    expire_in: 1 week
